Subject: Re: bug#28587: 26.0.60; Don't write object name strings in object-write method

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Nov 2017 17:05:45 -0500

>> AFAIK names are deprecated in calls to EIEIO constructors since
>> Emacs-25 (rather 24.4), and it's only since Emacs-26 that they are
>> optional in "eieio-presistent" written representations.
> Okay I see, I got a little confused there. I checked the emacs 25 branch
> and it ignores an object name string (emacs 24 requires it), so maybe
> the only important thing is to say:
> "Note that prior to Emacs version 25 the object name is required."

I think the only important part is that Emacs<26 requires it (tho only
Emacs<25 makes actual use of it, and even then, this use is mostly
irrelevant, except maybe in corner cases in the course of debugging).

        Stefan